## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appid org.gnome.gitlab.somas.Apostrophe
%global libadwaita_version 1.5

%global forgeurl https://gitlab.gnome.org/World/%{name}
%global tag v%{version}

# 3rd-party libs
#   * reveal.js
%global reveal_js_version 5.1.0

Name:           apostrophe
Version:        3.2
%forgemeta
Release:        %autorelease
Epoch:          1
Summary:        A distraction free Markdown editor

# Entire source code is GPL-3.0-or-later except:
#   * MIT:              apostrophe/latex_to_PNG.py
#                       reveal.js
License:        GPL-3.0-or-later and MIT
URL:            https://apps.gnome.org/Apostrophe
Source0:        %{forgesource}
Source1:        https://github.com/hakimel/reveal.js/archive/%{reveal_js_version}/reveal.js-%{reveal_js_version}.tar.gz
# MR 313/Bug 585: Python 3.13 removes telnetlib
# https://gitlab.gnome.org/World/apostrophe/-/merge_requests/313/diffs.patch
# (patch was backported from post-3.2-git to 3.0)
Patch0:         diffs.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.53.0
BuildRequires:  python3-devel >= 3.8

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}

Requires:	gtksourceview5
Requires:       libadwaita >= %{libadwaita_version}
Requires:       libspelling
# TODO: Work with other packagers to un-orphan Fira fonts
#Requires:       mozilla-fira-mono-fonts
#Requires:       mozilla-fira-sans-fonts
Requires:       python3-chardet
Requires:       python3-gobject
Requires:       python3-pypandoc
Requires:       webkitgtk6.0

Provides:       bundled(reveal-js) = %{reveal_js_version}

%description
Apostrophe is a GTK+ based distraction free Markdown editor, originally
developed by Wolf Vollprecht and currently developed and maintained by Manuel
Genovés. It uses pandoc as back-end for parsing Markdown and offers a very
clean and sleek user interface.


%prep
%forgeautosetup -p1
%setup -q -n %{name}-v%{version} -D -T -a1

# Fix location for reveal.js lib
sed -i "s|pkgdatadir, 'libs/reveal.js'|'reveal.js-%{reveal_js_version}'|" \
    meson.build

# W: hidden-file-or-dir
rm %{name}/.pylintrc


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appid}.desktop


%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS NEWS tests/markdown_test.md CODE_OF_CONDUCT.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.metainfo.xml
%{python3_sitelib}/%{name}/


%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Alexander F. Lent <lx@xanderlent.com> - 1:3.2-1
- Update apostrophe to v3.2

* Mon May 05 2025 Alexander F. Lent <lx@xanderlent.com> - 1:3.1-1
- Update apostrophe to v3.1 (fixes rhbz#2295424)

* Mon May 05 2025 Alexander F. Lent <lx@xanderlent.com> - 1:3.0-5
- Modernize apostrophe specfile for v3.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1:2.6.3-2
- Rebuilt for Python 3.11

* Fri Apr 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1:2.6.3-1
- chore(update): 2.6.3

* Thu Mar 31 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1:2.6.2-1
- chore(update): 2.6.2

* Sun Mar 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1:2.6.1-2
- build: Bump epoch due rh#2068897

* Sun Mar 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.1-1
- chore(update): 2.6.1

* Sat Mar 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6-1
- chore(update): 2.6

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5-2
- fix(add dep): python3-chardet | rh#2008184

* Mon Aug 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5-1
- build(update): 2.5

* Wed Jul 28 2021 Artem Polishchuk <ego.cordatus@gmail.com>
- fix: LGPLv2.1 to LGPLv2
- chore: Update URL

* Wed Jul 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-6
- fix: gspell is hardep | rh#1986986

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.4-4
- Rebuilt for Python 3.10

* Tue Apr 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-3
- fix: Typo

* Mon Apr 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-2
- fix: RH#1953395

* Wed Mar 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4-1
- build(update): 2.4

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3-1
- build(update): 2.3

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.2.0.3-3
- Rebuilt for Python 3.9

* Fri May 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0.3-2
- Add patch for compatibility with old pandoc | Thanks to @suve

* Mon May 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0.3-1
- Update to 2.2.0.3

* Thu Apr 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0.2-2
- Add few recommended deps

* Mon Apr 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0.2-1
- Update to 2.2.0.2

* Mon Apr 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0.1-3
- Update to 2.2.0.1
- Ported to Meson and renamed to Apostrophe now

* Tue Jul 30 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.5-4
- Initial package

## END: Generated by rpmautospec
